%define name	cleanfeed
%define version 20020501
%define release 12

Summary:	A spam filter for Usenet news servers
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	Artistic
Group:		System/Servers
URL:		http://www.bofh.it/~md/cleanfeed/
Source0:	http://www.bofh.it/~md/cleanfeed/%{name}-%{version}.tgz
Patch0:		cleanfeed-20020501-config.patch
BuildRoot:	%{_tmppath}/%{name}-root
BuildArch:	noarch

%description
Cleanfeed is an automatic spam filter for Usenet news servers and
routers (INN, Cyclone, Typhoon, Breeze and NNTPRelay).  Cleanfeed is
highly configurable, easily modified and very fast.  It can be configured
to block binary posts to non-binary newsgroups, to cancel already-rejected
articles, and to reject some spamming from local users.

Install the cleanfeed package if you need a spam filter for a Usenet news
server.

%prep
%setup -q
%patch0 -p1 -b .config

chmod 644 CHANGES README

%install
mkdir -p $RPM_BUILD_ROOT/{%{_sysconfdir}/news,%{_mandir}/man8,%{_libdir}/news/bin/control}
install -m 0644 cleanfeed.local.sample $RPM_BUILD_ROOT/%{_sysconfdir}/news/cleanfeed.local
install -m 0644 bad_adult_paths $RPM_BUILD_ROOT/%{_sysconfdir}/news
install -m 0644 bad_cancel_paths $RPM_BUILD_ROOT/%{_sysconfdir}/news
install -m 0644 bad_paths $RPM_BUILD_ROOT/%{_sysconfdir}/news
install -m 0644 bad_hosts $RPM_BUILD_ROOT/%{_sysconfdir}/news
install -m 0755 cleanfeed $RPM_BUILD_ROOT/%{_libdir}/news/bin/control/filter_innd.pl

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES README
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/cleanfeed.local
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/bad_adult_paths
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/bad_cancel_paths
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/bad_paths
%attr(-,news,news) %config(noreplace) %{_sysconfdir}/news/bad_hosts
%attr(-,news,news) %{_libdir}/news/bin/control/filter_innd.pl




%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 20020501-12
+ Revision: f6900f0
- MassBuild#440: Increase release tag


